QGIS Application - Bug report #16253
Issues with Postgis table having timestamp as primary key
2017-03-01 12:17 AM - Kai Borgolte

Status: Open

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:3.6.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 24163
Description

| tried to use a QGIS point layer from a PostgreSQL 9.6 table, which contains a modified GPS track. The table uses field "time"
(timestamp without time zone) as primary key.

| see two issues regarding the attribute table:

1. The attribute table shows ERROR values in all fields. It seems this applies to
rows which don't fit into the attribute table row cache (default 10000 rows).

2. Klicking on "Pan map to the selected rows" tool button gives message "Cannot pan to selected feature(s): Geometry is NULL".

History

#1 - 2017-03-01 03:15 AM - Giovanni Manghi
- Status changed from Open to Feedback

Can you attach sample data (preferably a dump of the table, or part of it)?

#2 - 2017-03-01 04:36 AM - Kai Borgolte
- File qgistest.zip added

Is this OK? | didn't edit schema and owner.

#3 - 2017-03-07 05:09 AM - Kai Borgolte

Please reopen this ticket, | cannot change status.

#4 - 2017-03-07 05:12 AM - Giovanni Manghi

Redoute Tortenboxer wrote:

Please reopen this ticket, | cannot change status.

the ticket is still open. When | will try the data | will set it again to "open" or leave "feedback" if | need more feedback. Thanks.
#5 - 2017-04-30 12:26 AM - Giovanni Manghi

- Target version set to Version 3.0

- Affected QGIS version changed from 2.18.4 to master

- OS version deleted (10)

- Operating System deleted (Windows)

- Status changed from Feedback to Open

- Category changed from Attribute table to Data Provider/PostGIS

- Description updated

#6 - 2017-05-01 01:01 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#7 - 2019-03-09 04:28 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

#8 - 2019-03-12 07:57 AM - Kai Borgolte

- Status changed from Feedback to Open

The issue is still valid with QGIS 3.6.0. One minor change:

2. Klicking on "Pan map to the selected rows" tool button gives message "Cannot pan to selected feature(s) : No extent could be determined.”.

#9 - 2019-03-12 11:19 AM - Giovanni Manghi

- Affected QGIS version changed from master to 3.6.0

Files

qgistest.zip 402 KB 2017-03-01 Kai Borgolte
